DistrMPolyClean does not use MemPool for summands?
Status: Resolved Start date: 13 Apr 2015

Priority: Normal Due date:  

Assignee: John Abbott % Done: 70%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 3.30 hours

Description

It seems that DistrMPolyClean does not use MemPool for summands even though a suitable MemPool as passed as argument to the

ctor.

Related issues:

Related to CoCoALib - Slug #329: Why is DMPI slower than DMPClean? New 12 Mar 2013

Related to CoCoALib - Support #791: Clean code for DistrMPolyClean New 29 Oct 2015

History

#1 - 13 Apr 2015 22:22 - John Abbott

Why is the MemPool object which is given to DistrMPoly ignored?

MemPool logging shows that the summand pool is not used.

#2 - 22 Oct 2015 15:37 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I have mimicked the idea of NewSummandPtr from DistrMPolyInlFpPP.  It all compiles, and the tests pass (miracle?).

I was a bit surprised to find that DistrMPolyClean is not as clean as I had expected.

Now I have to check whether MemPool is really being used for the summands...

#3 - 22 Oct 2015 15:54 - Anna Maria Bigatti

John Abbott wrote:

I was a bit surprised to find that DistrMPolyClean is not as clean as I had expected.

 

oops. I do remember that I noticed that summand are treated differently in the DistrMPolyXXX implementations, and I did think of comparing them and

unify them.  But one always finds good excuses not to do dangerous work on pointers ;-)

#4 - 29 Oct 2015 14:02 - John Abbott
- Status changed from In Progress to Resolved

- Assignee set to John Abbott

- % Done changed from 10 to 70

I have now revised the code so that it uses its MemPool for summands; essentially I had to "steal" the idea of NewSummandPtr from

DistrMPolyInlFpPP.  After some SEGV excitement, it now seems to work.

I wonder if changing to MemPool will make DMPClean slower than DMPI -- see #329.

I have cleaned my changes, but there is still a lot of cruft.

#5 - 09 Nov 2020 20:56 - John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99850

#6 - 07 Mar 2023 20:49 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
